### Method

# WebKit XRPermissionRequest get_required_features_requested

since: 2.52

#### Declaration [src]

    WebKitXRSessionFeatures
    webkit_xr_permission_request_get_required_features_requested (
      WebKitXRPermissionRequest* request
    )

#### Description [src]

Gets the full set of required features requested by the web application.

This includes both already granted features and those requiring consent.

Available since: 2.52

#### Return value

Type: `WebKitXRSessionFeatures`

A `WebKitXRSessionFeatures` flag combination.